QR Detail
curl --request GET \
--url https://app.stickyqr.com/api/qr/{qrCode} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.stickyqr.com/api/qr/{qrCode}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.stickyqr.com/api/qr/{qrCode}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "<string>",
"updatedAt": "<string>",
"code": "<string>",
"rewardPoints": 123,
"status": "<string>",
"usedDate": "<string>",
"qrURL": "<string>",
"qrImageURL": "<string>"
}QR Points
QR Points Details
Returns the details of the QR identified by that QR code
GET
/
qr
/
{qrCode}
QR Detail
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Language support
Example:
"en"
Path Parameters
Unique identifier for the QR code
Response
200 - application/json
Successful Response
Timestamp of object creation in ISO 8601 format
Timestamp of the last update made to the object, in ISO 8601 format
Unique identifier for the QR code
Number of reward points associated with the QR code
Current status of the QR code
Timestamp indicating when the QR code was used, in ISO 8601 format
URL link to access the QR code
URL link to the image of the QR code